
Installer - Bug #6036

Timeout for passenger needs to be raised to avoid timeouts

06/03/2014 02:21 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   
Difficulty:  Fixed in Releases:  
Pull request:    

Description

The timeout for passeneger needs to be updated. Please update

vi /usr/share/katello-installer/modules/apache/templates/mod/passenger.conf.erb

And add this line

PassengerStartTimeout 360

 Right above the </IfModule>

Downstream bug: https://bugzilla.redhat.com/show_bug.cgi?id=1103224

In addition to that, I will make sure that Passenger preloads the Ruby environment first and never shutdown the last worker instance

for better user experience (no more waiting until application is up).

Associated revisions

Revision 64234edf - 06/10/2014 09:45 AM - Lukas Zapletal

fixes #6036 - Timeout for passenger needs to be raised to avoid timeouts

and also made sure Passenger won't kill all worker instances.

History

#1 - 06/03/2014 02:24 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1103224

#2 - 06/03/2014 02:26 PM - Lukas Zapletal

https://github.com/theforeman/puppet-foreman/pull/194

#3 - 06/11/2014 02:53 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|commit:64234edfbb40bd779b71e8799532ae0440291865.

#4 - 06/11/2014 02:53 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1
